# Generated by Django 4.0.1 on 2022-08-10 10:29

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('store', '0005_remove_store_product_url'),
        ('product', '0003_storeproducturl'),
    ]

    operations = [
        migrations.CreateModel(
            name='StoreProduct',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.URLField(unique=True, verbose_name='آدرس محصول در فروشگاه اینترنتی')),
                ('price', models.DecimalField(decimal_places=0, default=0.0, max_digits=30, verbose_name='قیمت')),
            ],
        ),
        migrations.RemoveField(
            model_name='product',
            name='price',
        ),
        migrations.DeleteModel(
            name='StoreProductURL',
        ),
        migrations.AddField(
            model_name='storeproduct',
            name='product',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='product.product', verbose_name='محصول'),
        ),
        migrations.AddField(
            model_name='storeproduct',
            name='store',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='store.store', verbose_name='فروشگاه'),
        ),
    ]
